Skip to content
POST/{organizationId}/misc/integrations/{target}/update

Update integration

Updates an integration of the given target on the organization

Path Parameters

organizationIdstringrequired
targetstringrequired

Options:

personioblueidbusinessCentralentra

Request Body required

Content-Type: application/json

Authentication: X-API-Key

Request

POST/{organizationId}/misc/integrations/{target}/update
curl --request POST 'https://cloud.campai.com/api/{organizationId}/misc/integrations/{target}/update' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "integrationData": {}
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

statusstringrequired

Options:

installingupdatinguninstallinginstalled

Response

200
{
  "_id": "000000000000000000000001",
  "status": "installing"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}